$(document).ready(function(e) {
	
	$('a[data-reveal-id]').live('click', function(e) {
		e.preventDefault();
		var modalLocation = $(this).attr('data-reveal-id');
		$('#'+modalLocation).reveal($(this).data());
		
		// reset form 
		resetprofestional();
		resetformphone();
		resetformplaceupdate();
	});
	
	$( "#datepicker" ).datepicker( "option", "dateFormat", "dd-mm-yyyy" );
	$( "#datepicker" ).datepicker({
		changeMonth: true,
		changeYear: true
	});

	// cap nhat thong tin co ban cua account
    updateinformation = function() {
		var check = true;
		var dateofbirth = document.getElementById("datepicker").value;
		var country = $.trim(document.getElementById("country").value);
		var gender = $("input[name='gender']:checked").val();
		
    	var re_day = /^(\d{1,2})\/(\d{1,2})\/(\d{4})$/;
		
		if(country == "") {
			document.getElementById("errcountry").innerHTML = "Bạn chưa nhập thông tin";
			check = false;
		} else {
			document.getElementById("errcountry").innerHTML = "";
		}
		
		if(!(re_day.test(dateofbirth))){
            document.getElementById("errdateofbirth").innerHTML = "Ngày không hợp lệ";
			check = false;
        } else {
			document.getElementById("errdateofbirth").innerHTML = "";
		}

		if(check == true) {
			$.ajax({
				type: "POST",
				url: "updateinfobasic",
				data: {city: country, gen: gender, dayofb: dateofbirth},
				success: function(response){
					if(response == true) {
						if(gender == "true") {
							gender = "Nam";
						} else {
							gender = "Nữ";
						}
						$('#info-gender').html(gender);
						$('#info-country').html(country);
						$('#info-dayofbith').html(dateofbirth);
						
						new Messi('Cập Nhật Thông Tin Thành Công !', {
							title: 'Cập Nhật Thông Tin Cơ Bản',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
						//dong form update
						$('.close-reveal-modal').click();
					} else {
						new Messi('Cập Nhật Thông Tin Thất Bại, Vui Lòng Thử Lại !', {
							title: 'Cập Nhật Thông Tin Cơ Bản',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
					}
				}
			});
		}
		return false;
	}


	// update info liking of account
	updatelikingaccount = function() {
		var likingexit = $('#likingexit').val();
		var music = $('#info-musics-up').text();
		var movie = $('#info-movies-up').text();
		var book = $('#info-books-up').text();
		var liking = $('#info-liking-up').text();
		$.ajax({
			type: "POST",
			url: "updateinfoliking",
			data: {exits: likingexit, musics: music, movies: movie, books: book, likings: liking},
			success: function(response){
				if(response == true) {
					$('#info-music').html(music);
					$('#info-movie').html(movie);
					$('#info-book').html(book);
					$('#info-hobbies').html(liking);
					
					new Messi('Cập Nhật Thông Tin Thành Công !', {
						title: 'Cập Nhật Sở Thích',  
						modal: 	true, 
						titleClass: 'info', 
						buttons: [{
							id: 0, 
							label: 'Đóng', 
							val: 'X'
						}]
					});
					//dong form update
					$('.close-reveal-modal').click();
				} else {
					new Messi('Cập Nhật Thông Tin Thất Bại, Vui Lòng Thử Lại !', {
						title: 'Cập Nhật Sở Thích',  
						modal: 	true, 
						titleClass: 'info', 
						buttons: [{
							id: 0, 
							label: 'Đóng', 
							val: 'X'
						}]
					});
				}
			}
		});
		return false;
	}
	
	$('#info-input-wordhere').change(function() {
		if ($(this).is(':checked')) {
			var yEnd = (new Date).getFullYear();
            $('#info-endpro-up').val(yEnd);
			var yStart = $.trim($('#info-startpro-up').val());
			if(!yStart == '') {
				if(checkdateendstart(yStart, yEnd) == false) {
					$('#errtimeproup').text('Ngày bắt đầu lớn hơn ngày kết thúc');
					$('#info-startpro-up').focus();
				}
			}
        }
	});
	
	// check year start less than year end
	function checkdateendstart(yStart, yEnd) {
		var result = true;
		if(yStart > yEnd) {
			result = false;
		}
		
		return result;
	}
	
	
	// start professtion
	$('a[data-reveal-more-id]').live('click', function(e) {
		e.preventDefault();
		thiss = $(this);
		var idpro = thiss.attr('idup');
		
		$.ajax({
			type: "POST",
			url: "getinfoprofestion",
			data: {idprore: idpro},
			success: function(response) {
				var temp = response + '';
				if(temp != '[object XMLDocument]') {
					var modalLocation = thiss.attr('data-reveal-more-id');
					$('#'+modalLocation + ' #idrevealupdate').val(idpro);
					$('#'+modalLocation + ' #info-company-up').val(response.companyname);
					$('#'+modalLocation + ' #info-city-up').val(response.city);
					$('#'+modalLocation + ' #info-designation-up').val(response.designation);
					$('#'+modalLocation + ' #info-startpro-up').val(response.startyear);
					$('#'+modalLocation + ' #info-endpro-up').val(response.endyear);
					$('#'+modalLocation).reveal(thiss.data());
				} else {
					messinfoloadfail();
				}
			}
		});
	});
	
	
	// update or insert profestional
	updateprofes = function() {
		var idupdate = $('#idrevealupdate').val();
		var company = $.trim($('#info-company-up').val());
		var city = $.trim($('#info-city-up').val());
		var desi = $.trim($('#info-designation-up').val());
		var yStart = $.trim($('#info-startpro-up').val());
		var yEnd = $.trim($('#info-endpro-up').val());
		
		//validate profes
		if(company.length == 0) {
			$('#errcompanyup').html('Bạn chưa điền thông tin công ty');
			$('#info-company-up').focus();
			return false;
		} else {
			$('#errcompanyup').html('');
		}
		
		if(city.length == 0) {
			$('#errcityproup').html('Bạn chưa điền thông tin tỉnh thành');
			$('#info-city-up').focus();
			return false;
		} else {
			$('#errcityproup').html('');
		}
		
		if(desi.length == 0) {
			$('#errchucvupro').html('Bạn chưa điền thông tin chức vụ');
			$('#info-designation-up').focus();
			return false;
		} else {
			$('#errchucvupro').html('');
		}
		
		var re_Year = /^([0-9])*$/;
		if(!(re_Year.test(yStart)) || yStart.length == 0){
			$('#errtimeproup').html('Bạn chưa điền năm bắt đầu');
			$('#info-startpro-up').focus();
			return false;
		}
		
		if(!(re_Year.test(yEnd)) || yEnd.length == 0){
			$('#errtimeproup').html('Bạn chưa điền năm kết thúc');
			$('#info-endpro-up').focus();
			return false;
		} else {
			$('#errtimeproup').html('');
		}
		
		//-------------------------------------
		if(checkdateendstart(yStart, yEnd)) {
			if(idupdate == '') {
				// insert
				$.ajax({
					type: "POST",
					url: "insertinfoprofestion",
					data: {comre: company, cityre: city, desire: desi, ystartre: yStart, yendre: yEnd},
					success: function(response){
						if(response.check == 'True') {
							// ve lai
							$('#info-profes-nothave').hide();
							var html = '<div id="info-pro-' + response.idpro + '"><table><tr><td class="info-basic-bold">Công Ty</td><td>' + company + '</td></tr><tr><td class="info-basic-bold">Tỉnh</td><td>' + city + '</td></tr> <tr><td class="info-basic-bold">Chức Vụ</td><td>' + desi + '</td></tr><tr><td class="info-basic-bold">Thời Gian</td><td>' + yStart + ' - ' + yEnd + '</td></tr></table></div><div class="info-link-edit"><a href="#" idup="' + response.idpro + '" data-reveal-more-id="updateprofes">Chỉnh sửa</a></div><div style="border: 1px dotted;"></div>';
							$('#info-profes-maincontent').append(html);
							
							new Messi('Cập Nhật Thông Tin Thành Công !', {
								title: 'Cập Nhật Nghề Nghiệp',  
								modal: 	true, 
								titleClass: 'info', 
								buttons: [{
									id: 0, 
									label: 'Đóng', 
									val: 'X'
								}]
							});
							// reset form 
							resetprofestional();
							//dong form update
							$('.close-reveal-modal').click();
						} else {
							new Messi('Cập Nhật Thông Tin Thất Bại, Vui Lòng Thử Lại !', {
								title: 'Cập Nhật Nghề Nghiệp',  
								modal: 	true, 
								titleClass: 'info', 
								buttons: [{
									id: 0, 
									label: 'Đóng', 
									val: 'X'
								}]
							});
						}
					}
				});
			} else {
				// update 
				$.ajax({
					type: "POST",
					url: "updateinfoprofestion",
					data: {idprore: idupdate, comre: company, cityre: city, desire: desi, ystartre: yStart, yendre: yEnd},
					success: function(response){
						if(response == true) {
							// ve lai
							$('#info-pro-' + idupdate).fadeIn(300);
							var html = '<table><tr><td class="info-basic-bold">Công Ty</td><td>' + company + '</td></tr><tr><td class="info-basic-bold">Tỉnh</td><td>' + city + '</td></tr> <tr><td class="info-basic-bold">Chức Vụ</td><td>' + desi + '</td></tr><tr><td class="info-basic-bold">Thời Gian</td><td>' + yStart + ' - ' + yEnd + '</td></tr></table><div class="info-link-edit"><a href="#" idup="' + idupdate + '" data-reveal-more-id="updateprofes">Chỉnh sửa</a>&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;<a href="#" idup="' + idupdate + '" class="info-dele-profes">Xóa</a></div><div style="border: 1px dotted;"></div>';
							$('#info-pro-' + idupdate).html(html);
							
							new Messi('Cập Nhật Thông Tin Thành Công !', {
								title: 'Cập Nhật Nghề Nghiệp',  
								modal: 	true, 
								titleClass: 'info', 
								buttons: [{
									id: 0, 
									label: 'Đóng', 
									val: 'X'
								}]
							});
							// reset form 
							resetprofestional();
							//dong form update
							$('.close-reveal-modal').click();
						} else {
							new Messi('Cập Nhật Thông Tin Thất Bại, Vui Lòng Thử Lại !', {
								title: 'Cập Nhật Nghề Nghiệp',  
								modal: 	true, 
								titleClass: 'info', 
								buttons: [{
									id: 0, 
									label: 'Đóng', 
									val: 'X'
								}]
							});
						}
					}
				});
			}
		} else {
			$('#errtimeproup').text('Ngày bắt đầu lớn hơn ngày kết thúc');
			$('#info-startpro-up').focus();
		}
		
		return false;
	}
	
	// reset form update profestional
	function resetprofestional() {
		$('#idrevealupdate').val('');
		$('#info-company-up').val('');
		$('#info-city-up').val('');
		$('#info-designation-up').val('');
		$('#info-startpro-up').val('');
		$('#info-endpro-up').val('');
		$('#errcompanyup').html('');
		$('#errcityproup').html('');
		$('#errchucvupro').html('');
		$('#errtimeproup').html('');
	}
	
	//info-dele-profes
	$(document).on("click", ".info-dele-profes", function(){
		idpro = $(this).attr('idup');
		var answer = confirm('Bạn muốn xóa thông tin này?');
		
		if(answer) {
			$.ajax({
				type: "POST",
				url: "deleteinfoprofestion",
				data: {idprore: idpro},
				success: function(response){
					if(response == true) {
						$('#info-pro-' + idpro).css({"background": "#09F"}).slideDown(200, function(){$('#info-pro-' + idpro).hide();}).remove();
						new Messi('Xóa Thông Tin Nghề Nghiệp Thành Công !', {
							title: 'Cập Nhật Nghề Nghiệp',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
					} else {
						new Messi('Xóa Thông Tin Nghề Nghiệp Thất Bại, Vui Lòng Thử Lại !', {
							title: 'Cập Nhật Nghề Nghiệp',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
					}
				}
			});
		}
		
		return false;
	});
	
	// open form edit phone
	$('a[data-reveal-phone-id]').live('click', function(e) {
		e.preventDefault();
		thiss = $(this);
		var idphone = thiss.attr('idup');
		$.ajax({
			type: "POST",
			url: "getinfophone",
			data: {idphonere: idphone},
			success: function(response) {
				var temp = response + '';
				if(temp != '[object XMLDocument]') {
					var modalLocation = thiss.attr('data-reveal-phone-id');
					$('#' + modalLocation + ' #idphoneupdate').val(idphone);
					$('#' + modalLocation + ' #info-phone-up').val(response.number);
					$('#' + modalLocation + ' #errphoneup').html('');
					$('#' + modalLocation).reveal($(this).data());
				} else {
					messinfoloadfail();
				}
			}
		});
	});
	
	// update thong tin lien he
	updatephoneacc = function() {
		var idphone = $('#idphoneupdate').val();
		var phone = $('#info-phone-up').val();
		var re_number = /^([0-9])*$/;
		
		if(!(re_number.test(phone)) || phone.length == 0){
			$('#errphoneup').html('Số điện thoại không hợp lệ.');
			$('#info-phone-up').focus();
			return false;
		} else {
			var num_duplidate = /^((0*)|(1*)(2*)|(3*)(4*)|(5*)(6*)|(7*)(8*)|(9*))$/;
			if(num_duplidate.test(phone) == true) {
				$('#errphoneup').html('Số điện thoại không được là dãy số trùng nhau.');
				$('#info-phone-up').focus();
				return false;
			} else {
				$('#errphoneup').html('');
			}
		}
		
		if(idphone == '') {
			// insert
			$.ajax({
				type: "POST",
				url: "insertinfophone",
				data: {phonere: phone},
				success: function(response){
					if(response.check == 'True') {
						// ve lai
						$('#info-phone-nothave').hide();
						var html = '<div id="info-phone-' + response.idphone + '"><div><table><tr><td class="info-basic-bold">Phone</td><td>+84 ' + phone + '</td> </tr></table></div><div class="info-link-edit"><a href="#" idup="' + response.idphone + '" data-reveal-phone-id="updatephone">Chỉnh sửa</a>&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;<a href="#" idup="' + response.idphone + '" class="info-dele-phones">Xóa</a></div><div style="border: 1px dotted;"></div></div>';
						$('#info-phone-maincontent').append(html);
						
						new Messi('Cập Nhật Thông Tin Thành Công !', {
							title: 'Cập Nhật TT Liên Hệ',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
						// reset form 
						resetformphone();
						//dong form update
						$('.close-reveal-modal').click();
					} else {
						new Messi('Cập Nhật Thông Tin Thất Bại, Vui Lòng Thử Lại !', {
							title: 'Cập Nhật TT Liên Hệ',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
					}
				}
			});
		} else {
			//update
			$.ajax({
				type: "POST",
				url: "updateinfophone",
				data: {idphonere: idphone, phonere: phone},
				success: function(response){
					if(response == true) {
						// ve lai
						var html = '<div><table><tr><td class="info-basic-bold">Phone</td><td>+84 ' + phone + '</td> </tr></table></div><div class="info-link-edit"><a href="#" idup="' + idphone + '" data-reveal-phone-id="updatephone">Chỉnh sửa</a>&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;<a href="#" idup="' + idphone + '" class="info-dele-phones">Xóa</a></div><div style="border: 1px dotted;"></div>';
						$('#info-phone-' + idphone + '').html(html);
						
						new Messi('Cập Nhật Thông Tin Thành Công !', {
							title: 'Cập Nhật TT Liên Hệ',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
						// reset form 
						resetformphone();
						//dong form update
						$('.close-reveal-modal').click();
					} else {
						new Messi('Cập Nhật Thông Tin Thất Bại, Vui Lòng Thử Lại !', {
							title: 'Cập Nhật TT Liên Hệ',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
					}
				}
			});
		}
		return false;
	}
	
	function resetformphone() {
		$('#idphoneupdate').val('');
		$('#info-phone-up').val('');
		$('#errphoneup').html('');
	}
	
	// delete phone info
	$(document).on("click", ".info-dele-phones", function(){
		var idphone = $(this).attr('idup');
		var answer = confirm('Bạn muốn xóa thông tin này?');
		if(answer) {
			$.ajax({
				type: "POST",
				url: "deleteinfophonenumber",
				data: {idphonere: idphone},
				success: function(response){
					if(response == true) {
						$('#info-phone-' + idphone).remove();
						new Messi('Xóa Thông Tin Liên Hệ Thành Công !', {
							title: 'Cập Nhật TT Liên Hệ',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
					} else {
						new Messi('Xóa Thông Tin Liên Hệ Thất Bại, Vui Lòng Thử Lại !', {
							title: 'Cập Nhật TT Liên Hệ',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
					}
				}
			});
		}
		
		return false;
	});
	
	$('#info-inputplace-wordhere').change(function() {
		if ($(this).is(':checked')) {
			var yEnd = (new Date).getFullYear();
            $('#info-endyearplace-up').val(yEnd);
			var yStart = $.trim($('#info-startplace-up').val());
			if(!yStart == '') {
				if(checkdateendstart(yStart, yEnd) == false) {
					$('#errtimeplaceup').text('Ngày bắt đầu lớn hơn ngày kết thúc');
					$('#info-startplace-up').focus();
				}
			}
        }
	});
	
	updateplacese = function() {
		var idplace = $('#idplaceupdate').val();
		var address = $.trim($('#info-addressplace-up').val());
		var city = $.trim($('#info-cityplace-up').val());
		var yStart = $.trim($('#info-startplace-up').val());
		var yEnd = $.trim($('#info-endyearplace-up').val());
		
		//validate place
		if(address.length == 0) {
			$('#erraddressplace').html('Bạn chưa điền thông tin địa chỉ');
			$('#info-addressplace-up').focus();
			return false;
		} else {
			$('#erraddressplace').html('');
		}
		
		if(city.length == 0) {
			$('#errcityplace').html('Bạn chưa điền thông tin tỉnh thành hoăc thành phố');
			$('#info-cityplace-up').focus();
			return false;
		} else {
			$('#errcityplace').html('');
		}
		
		var re_Year = /^([0-9])*$/;
		if(!(re_Year.test(yStart)) || yStart.length == 0){
			$('#errtimeplaceup').html('Bạn chưa điền năm bắt đầu');
			$('#info-startplace-up').focus();
			return false;
		}
		
		if(!(re_Year.test(yEnd)) || yEnd.length == 0){
			$('#errtimeplaceup').html('Bạn chưa điền năm kết thúc');
			$('#info-endyearplace-up').focus();
			return false;
		} else {
			$('#errtimeplaceup').html('');
		}
		
		if(checkdateendstart(yStart, yEnd)) {
			if(idplace == '') {
				// insert
				$.ajax({
					type: "POST",
					url: "insertinfoplaceacc",
					data: {addressre: address, cityre: city, startre: yStart, endre: yEnd},
					success: function(response){
						if(response.check == 'True') {
							// ve lai
							$('#info-place-nothave').hide();
							var html = '<div id="info-place-' + response.idplace + '"><div><table><tr><td class="info-basic-bold">Địa Chỉ</td><td>' + address + '</td></tr><tr><td class="info-basic-bold">Thành Phố</td><td>' + city + '</td></tr><tr><td class="info-basic-bold">Thời Gian</td><td>' + yStart + ' - ' + yEnd + '</td></tr></table></div><div class="info-link-edit"><a href="#" idup="' + response.idplace + '" data-reveal-place-id="updateplace">Chỉnh sửa</a>&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;<a href="#" idup="' + response.idplace + '" class="info-dele-places">Xóa</a></div><div style="border: 1px dotted;"></div></div>';
							$('#info-place-maincontent').append(html);
							
							new Messi('Cập Nhật Thông Tin Thành Công !', {
								title: 'Cập Nhật Địa Điểm',  
								modal: 	true, 
								titleClass: 'info', 
								buttons: [{
									id: 0, 
									label: 'Đóng', 
									val: 'X'
								}]
							});
							// reset form 
							resetformplaceupdate();
							//dong form update
							$('.close-reveal-modal').click();
						} else {
							new Messi('Cập Nhật Thông Tin Thất Bại, Vui Lòng Thử Lại !', {
								title: 'Cập Nhật Địa Điểm',  
								modal: 	true, 
								titleClass: 'info', 
								buttons: [{
									id: 0, 
									label: 'Đóng', 
									val: 'X'
								}]
							});
						}
					}
				});
			} else {
				//update
				$.ajax({
					type: "POST",
					url: "updateinfoplaceacc",
					data: {idplacere: idplace, addressre: address, cityre: city, startre: yStart, endre: yEnd},
					success: function(response){
						if(response == true) {
							// ve lai
							var html = '<div><table><tr><td class="info-basic-bold">Địa Chỉ</td><td>' + address + '</td></tr><tr><td class="info-basic-bold">Thành Phố</td><td>' + city + '</td></tr><tr><td class="info-basic-bold">Thời Gian</td><td>' + yStart + ' - ' + yEnd + '</td></tr></table></div><div class="info-link-edit"><a href="#" idup="' + idplace + '" data-reveal-place-id="updateplace">Chỉnh sửa</a>&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;<a href="#" idup="' + idplace + '" class="info-dele-places">Xóa</a></div><div style="border: 1px dotted;"></div>';
							$('#info-place-' + idplace + '').html(html);
							
							new Messi('Cập Nhật Thông Tin Thành Công !', {
								title: 'Cập Nhật Địa Điểm',  
								modal: 	true, 
								titleClass: 'info', 
								buttons: [{
									id: 0, 
									label: 'Đóng', 
									val: 'X'
								}]
							});
							// reset form 
							resetformplaceupdate();
							//dong form update
							$('.close-reveal-modal').click();
						} else {
							new Messi('Cập Nhật Thông Tin Thất Bại, Vui Lòng Thử Lại !', {
								title: 'Cập Nhật Địa Điểm',  
								modal: 	true, 
								titleClass: 'info', 
								buttons: [{
									id: 0, 
									label: 'Đóng', 
									val: 'X'
								}]
							});
						}
					}
				});
			}
		}
		return false;
	}
	
	// open form edit place
	$('a[data-reveal-place-id]').live('click', function(e) {
		e.preventDefault();
		thiss = $(this);
		var idplace = thiss.attr('idup');
		$.ajax({
			type: "POST",
			url: "getinfoplace",
			data: {idplacere: idplace},
			success: function(response) {
				var temp = response + '';
				if(temp != '[object XMLDocument]') {
					var modalLocation = thiss.attr('data-reveal-place-id');
					$('#' + modalLocation + ' #idplaceupdate').val(idplace);
					$('#' + modalLocation + ' #info-addressplace-up').val(response.address);
					$('#' + modalLocation + ' #info-cityplace-up').val(response.city);
					$('#' + modalLocation + ' #info-startplace-up').val(response.startyear);
					$('#' + modalLocation + ' #info-endyearplace-up').val(response.endyear);
					$('#' + modalLocation + ' #erraddressplace').html('');
					$('#' + modalLocation + ' #errcityplace').html('');
					$('#' + modalLocation + ' #errtimeplaceup').html('');
					$('#' + modalLocation).reveal(thiss.data());
				} else {
					messinfoloadfail();
				}
			}
		});
	});
	
	// delete place for account 
	$(document).on("click", ".info-dele-places", function(){
		var idplace = $(this).attr('idup');
		var answer = confirm('Bạn muốn xóa thông tin này?');
		if(answer) {
			$.ajax({
				type: "POST",
				url: "deleteinfoplaceacc",
				data: {idplacere: idplace},
				success: function(response){
					if(response == true) {
						$('#info-place-' + idplace).remove();
						new Messi('Xóa Thông Tin Liên Hệ Thành Công !', {
							title: 'Cập Nhật TT Liên Hệ',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
					} else {
						new Messi('Xóa Thông Tin Liên Hệ Thất Bại, Vui Lòng Thử Lại !', {
							title: 'Cập Nhật TT Liên Hệ',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
					}
				}
			});
		}
		
		return false;
	});
	
	
	function resetformplaceupdate() {
		$('#idplaceupdate').val('');
		$('#info-addressplace-up').val('');
		$('#info-cityplace-up').val('');
		$('#info-startplace-up').val('');
		$('#info-endyearplace-up').val('');
		$('#erraddressplace').val('');
		$('#errcityplace').val('');
		$('#errtimeplaceup').val('');
	}
	
	function messinfoloadfail() {
		new Messi('Gặp sự cố khi tải dữ liệu, vui lòng nhấn F5 trên trang!', {
			title: 'Tải Thông Tin',  
			modal: 	true, 
			titleClass: 'info', 
			buttons: [{
				id: 0, 
				label: 'Đóng', 
				val: 'X'
			}]
		});
	}
	
});